Bug 4695 - HildonAnimationActor defines are passively documented in function descriptions
: HildonAnimationActor defines are passively documented in function descriptions
Status: RESOLVED FIXED
Product: Desktop platform
hildon-widgets
: 5.0-beta
: All Linux
: Low minor with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: Claudio Saavedra
: hildon-libs-bugs
:
: docs, patch
:
:
  Show dependency tree
 
Reported: 2009-06-17 11:55 UTC by David King
Modified: 2010-03-15 20:53 UTC (History)
4 users (show)

See Also:


Attachments
HildonAnimationActor defines to enums (14.52 KB, patch)
2009-07-02 13:42 UTC, David King
Details
correct a couple of issues in previous patch (15.05 KB, patch)
2009-07-02 14:21 UTC, David King
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description David King (reporter) 2009-06-17 11:55:09 UTC
The defines for HildonAnimationActor (HILDON_AA_*), in
hildon/hildon-animation-actor.h, are not documented directly. They are
passively documented in the descriptions of the
hildon_animation_actor_set_anchor_from_gravity() and
hildon_animation_actor_set_rotation() functions.

The documentation should be moved to be with the defines, and referenced from
the functions that use them. Also, these defines should really be two enums,
e.g. HildonAnimationActorAxis and HildonAnimationActorGravity, as they are
simply a sequence of magic numbers.

This bug refers to hildon git as of 2009-06-17 .
Comment 1 Claudio Saavedra 2009-06-22 22:37:58 UTC
This is really low priority, the only way it will get fixed before fremantle is
if we receive a patch.
Comment 2 David King (reporter) 2009-07-02 13:42:05 UTC
Created an attachment (id=1258) [details]
HildonAnimationActor defines to enums

Patch to make the defines into enums, move the documentation to the enums,and
correct other parts of the HildonAnimationActor documentation.
Comment 3 David King (reporter) 2009-07-02 14:21:38 UTC
Created an attachment (id=1259) [details]
correct a couple of issues in previous patch

I forgot to document the hildon-sections.txt changes, and also needed to remove
the previous defines from the same file.
Comment 4 Murray Cumming 2009-07-24 18:16:46 UTC
Can this be applied, please?
Comment 5 Xabier Rodríguez Calvar 2010-01-27 17:58:19 UTC
(In reply to comment #4)
> Can this be applied, please?

Done:

commit 4db0c3ed11f441f10e7eff8b7cdf74530d220fa7
Author: Xabier Rodriguez Calvar <xrcalvar@igalia.com>
Date:   Wed Jan 27 13:37:44 2010 +0100

    Replace "axis" and "gravity" defines with enums.

    Based on a patch of David King <davidk@openismus.com>.

    Replace "axis" and "gravity" defines with HildonAnimationActorAxis and
    HildonAnimationActorGravity enums. Adjust function arguments
    appropriately.

    Fixes: MB#4695 (HildonAnimationActor defines are passively documented
    in function descriptions)

commit 35831bc95e7f58501f37a62682cd6ce2996904e1
Author: Xabier Rodriguez Calvar <xrcalvar@igalia.com>
Date:   Wed Jan 27 13:32:42 2010 +0100

    Fixes doc typos and mistakes in HildonAnimationActor.

    Based on a patch of David King <davidk@openismus.com>.

Berto, would you mind closing this bug?
Comment 6 Alberto Garcia Gonzalez 2010-01-27 18:10:50 UTC
=> fixed
Comment 7 Andre Klapper maemo.org 2010-03-15 20:53:29 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).